Chybová hláška při přihlášení na web.

Úvodní stránka Fórum podpory WordPressu Pluginy (funkčnost webu) Chybová hláška při přihlášení na web.

Zvolené téma obsahuje celkem 13 odpovědí. Do diskuze (5 účastníků) se naposledy zapojil uživatel  vylma a poslední změna je stará 1 rok, 6 měsíců.

Aktuálně je na stránce zobrazeno 14 příspěvků - 1. až 14. (z celkem 14)
  • Autor
    Příspěvky
  • #33097

    T-Vena
    Participant

    Dobrý den.
    Po nějaké době jsem se chtěl přihlásit na svoje stránky, aby napsal nějaký nový článek. Ale, místo přihlášení mí vyskočila tato hláška:

    Warning: require_once(): open_basedir restriction in effect. File(/data/web/virtuals/113026/virtual/www/domains/farnost-hm.cz/wp-content/plugins/google-analytics-for-wordpress/includes/options.php) is not within the allowed path(s): (/data/web/virtuals/112620/virtual) in /data/web/virtuals/112620/virtual/www/domains/t-vena.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436
    
    Warning: require_once(/data/web/virtuals/113026/virtual/www/domains/farnost-hm.cz/wp-content/plugins/google-analytics-for-wordpress/includes/options.php): failed to open stream: Operation not permitted in /data/web/virtuals/112620/virtual/www/domains/t-vena.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436
    
    Fatal error: require_once(): Failed opening required '/data/web/virtuals/113026/virtual/www/domains/farnost-hm.cz/wp-content/plugins/google-analytics-for-wordpress/includes/options.php' (include_path='.:/data/web/virtuals/112620/virtual') in /data/web/virtuals/112620/virtual/www/domains/t-vena.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436

    Bohužel mi tato hláška skáče i tehdy, když si na Google zadám moji adresu stránek. Před nějakou dobou jsem na stránkách byl přihlášen a vše bylo OK. Teď jede na verzi 4.7.5 – webhosting je Weos.

    Budu vděčný za veškeré rady a tipy, co s tím může být.

    #33099

    martin107
    Participant

    Dobrý den,
    tři roky používám ke svým stránkám google-analytics a bez problému a v úterý jsem se potkal se stejným problémem. Při pokusu zobrazit stránky se objevila stejná hláška. Neuměl jsem se přihlásit ani do Worpressu, abych odstavil Plugin. Naštěstí mi pomohli asistencí z Wedosu, kde mi člověk od nich poradil, abych se přihlásil přes FTP a v podadresáři mezi pluginy příslušný adresář pluginu pro google-analytics přejmenovat.
    Po té začaly stránky normálně fungovat a šlo se i přihlásit. Plugin jsem odinstaloval a znovu nainstaloval. 2 dny to jelo a dnes opět při pokusu zobrazit stránky tato hláška. Takže jsem adresář přes FTP opět přejmenoval a stránky jedou. Nicméně taky bych rád věděl, co je příčinou těchto problémů, protože bych google-analytics rád dal používal…

    #33124

    Jiri7
    Participant

    Dobrý den,
    mám stejný problém, plugin jsem manuálně vypnul, smazal a znovu nainstaloval, ale problém se objevil za dva dny znovu. – Na wordpresovém fóru https://wordpress.org/support/topic/monsterinsights-not-working-error/?loggedout=true jsem našel tuto radu od autora pluginu:

    That’s an issue with the hosting provider’s setup. Looks like they haven’t set up PHP’s relative directories correctly.

    Máte někdo nějaké doporučení, zkušenost, jak dosáhnout nějakého trvalejšího řešení problému? Nemá WEDOS nějakou chybu v tom nastavení PHP adresářů?

    díky

    Jiří

    #33152

    admin
    Keymaster
    Web

    Ještě než to začneme řešit, tak se zeptám, zda už to není dořešeno? :-) Podobná chyba byla hlášena i zde.

    – Opravdu to chvíli funguje a pak to z ničeho nic fungovat přestane (o den později)?

    – Objevuje se to u Wedosu a Savany? A patrně pouze u některých webů, protože by asi jinak bylo hlášeno více problémů?

    – Objevuje se to u verze 6.2 i 6.0.14 (tady by se asi mělo aktualizovat nebo je nejnovější verze pouze pro nejnovější WordPress)?

    #33153

    Jiri7
    Participant

    Dobrý den,

    jednal jsem s podporou WEDOSu, moc jsme se neposunuli, tvrdil mi, že je to chyba pluginu… Nakonec jediné doporučení bylo přepnout na vyšší PHP (měl jsem nastaveno 5.4, přepnul jsem na 7.0). Problematický plugin jsem vymazal a zase nainstaloval – zatím web běží.

    Pokud by se problém vrátil (předtím to bylo po dvou dnech fungování), zkusím řešení, které na tom anglickém fóru
    https://wordpress.org/support/topic/monsterinsights-not-working-error/#post-9306310
    doporučuje nějaký český kolega:

    stahni toto

    Google Analytics for WordPress by MonsterInsights

    a pres FTP znovu prepis soubor googleanalytics.php.
    Problem se vyresi.

    Jiri7

    #33154

    admin
    Keymaster
    Web

    @jiri7: Díky! Zajímavé, takže možná pomůže změna PHP (5.4 už je opravdu zastaralá verze s mnoha problémy). Patrně to bude nějaká chybka na straně pluginu, která se objevuje jen v nějakých kombinacích, neřekl bych, že to mají u Wedosu nějak špatně nakonfigurované…

    Našel jsem ještě podobné anglické vlákno (ale podle cest v chybové hlášce půjde asi také o Wedos).

    Jen jsem moc nepochopil to další možné řešení, stačí plugin ručně stáhnout a nahrát na FTP? On už ale na webu aktualizovaný je (a problém s aktualizací tam není)? To by nedávalo moc logiku, možná je ta odpověď na anglickém fóru oříznutá a nějakou ukázku změněného zdrojového kódu, těžko říci, uvidíme, zda se ještě někdo ozve…

    #33158

    martin107
    Participant

    Zdravím, ráno jsem vyzkoušel ten postup dle rady na tom anglickém wordpressovském fóru. Tzn. nainstaloval jsem si znovu plugin. Pak stáhnul ten celý adresář a vzal z něj ten googleanalytics.php, kterým jsem přes FTP nahradil ten soubor, co se sám s pluginem nainstaloval. Zatím stránky jedou, počitadlo počítá přístupy, tak uvidíme, jestli to pojede víc jak 2 dny :-)
    Abych neumřel hloupý, kde se zjistí, kterou verzi PHP mám a případně, kde si to přepnu třeba na tu verzi 7.0 ?

    #33161

    admin
    Keymaster
    Web

    @martin107: Zajímavé, moc nechápu akci, že vezmete soubor, který už je na serveru a znovu ho tam (tentokrát ručně) nahrajete, nějak mě nenapadá, co by tam mělo být špatně (nebo proč a jak by se měl lišit). Trochu záhada :-)

    U Wedosu je možné změnit verzi PHP v administraci hostingu, menu Webhosting – zvolit konkrétní webhosting – Konfigurace PHP (verze 7.0 či 7.1 je dnes asi už doporučena, starší verze pouze v případě nějakých problémů).

    #33164

    martin107
    Participant

    To Admin: Taky jsem chvíli přemýšlel, v čem může být jiný soubor, který se instaluje do wordpressu automaticky (resp. po mém výběru) od toho, který je uložen na webu… Ale když po třech létech bezproblémového používaní to najednou nejede, aniž bych tam dělal ten den nebo den před tím jakýkoliv zásah v podobě aktualizace nebo přidávání jiného pluginu… Opakované odinstalace a instalace nepomáhají, a do teď se nikde neobjevila jasná příčina problému a jasný návod, jak to odstranit, tak člověk zkouší … :-) Uvidím, třeba budu mít stránky opět nedostupné a budu tam, kde jsem byl včera a budu čekat na další řešení…

    Dík za info o PHP.

    #33169

    martin107
    Participant

    Dobrý den,
    tak jsem zkusil přepnout jako Jiri7 na PHP verzi 7 – když to u na webhostingu Wedosu uvádějí jako výchozí verzi…. No a stránky nejely. Tentokrát to ale způsobil plugin StatPress, který jsem taky používal strašně dlouho. Po deaktivaci pluginu stránky jedou a googleanalytics funguje…. No nebudu do toho zatím víc vrtat a nechám to tak, když to jinak funguje.

    #33181

    admin
    Keymaster
    Web

    Zajímavé, také z popisu moc nechápu, co se tam vlastně děje… Kdyby se problém ještě někdy objevil (nebo se ho podařilo třeba nasimulovat na nějakém testovacím webu/subdoméně), tak bych se na to rád podíval, pošlete prosím případně přístupy…

    #33228

    vylma
    Participant

    Dobrý den.
    Mám již 14 dní ten samý problém.
    Používám Google Analytics od MonsterInsight a co dva až tři dny se mi objeví stejná hláška chyb a varování jako T-Venovi:

    Warning: require_once(): open_basedir restriction in effect. File(/data/web/virtuals/99696/virtual/www/wp-content/plugins/google-analytics-for-wordpress/includes/options.php) is not within the allowed path(s): (/data/web/virtuals/100868/virtual) in /data/web/virtuals/100868/virtual/www/domains/tavernanikos.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436

    Warning: require_once(/data/web/virtuals/99696/virtual/www/wp-content/plugins/google-analytics-for-wordpress/includes/options.php): failed to open stream: Operation not permitted in /data/web/virtuals/100868/virtual/www/domains/tavernanikos.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436

    Fatal error: require_once(): Failed opening required ‘/data/web/virtuals/99696/virtual/www/wp-content/plugins/google-analytics-for-wordpress/includes/options.php’ (include_path=’.:/data/web/virtuals/100868/virtual’) in /data/web/virtuals/100868/virtual/www/domains/tavernanikos.cz/wp-content/plugins/google-analytics-for-wordpress/googleanalytics.php on line 436

    Mám takový pocit, že to má co dočinění se stahováním informací od Googlu.
    Naposledy co se mi toto stalo, stačilo pouze přes FTP zkopírovat soubor na HDD, na webu soubor vymazat a stránky ihned naskočili. Poté jsem ten samý soubor, který jsem zkopíroval na HDD vrátil do jeho adresáře a vše stále běželo…. ovšem opět cca tři dny. PHP konfiguraci jsem zatím ponechal na Wedosu ve verzi 5.4
    Dnes ráno mi web opět spadl s touto chybou. Pokud máte čas Admine mohu vám poslat přístup, ale samozřejmě jsem v časové tísni, protože to je firmní web a musí co nejdříve fungovat. Pokud čas mít nebudete, zprovozním to zatím jako předtím a budeme čekat na další error.

    #33229

    Jiri7
    Participant

    Dobrý den,

    chtěl bych jen pro informaci uvést, že po přepnutí na PHP 7.0 problémy ustaly a stránky včetně Google Analytics již týden bez problémů běží. Zvažte, zda také nepřepnout, možná ten problém skutečně vzniká nekompabilitou toho pluginu se starší konfigurací PHP…Pokud nepoužíváte nějaké archaické, málo aktualizované pluginy, tak by neměl vzniknout problém.

    #33230

    vylma
    Participant

    Dobrý den,
    také jsem již stránky opět nahodil a zkusil přepnout PHP na verzi 7.1
    tak uvidím zda to bude ještě padat.
    V každém případě díky za info.

Aktuálně je na stránce zobrazeno 14 příspěvků - 1. až 14. (z celkem 14)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.